petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESInitializePackage

This function initializes everything in the SNES package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to SNESCreate() when using static libraries.

### Synopsis

    PetscErrorCode  SNESInitializePackage(void)

### Keywords

SNES, initialize, package

### See Also

PetscInitialize()

Level:developer
Location:src/snes/interface/dlregissnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages